[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# THeaderSectionState

Enumerated type which represents selection states for THeaderSection.

## Declaration

Source position: comctrls.pp line 3951

`type THeaderSectionState = (`
`hsNormal,` |  | The header section is drawn in its normal state.
`hsHot,` |  | The header section is drawn in its "hot-lighted" state.
`hsPressed` |  | The header section is drawn in its "pressed" state.
`);`

## Description

THeaderSectionState is the type used to implement the THeaderSection.State property.

## See also

THeaderSection.State |  | State - whether normal, hot (i.e. mouse hovers over it ready to be selected) or pressed (selected).